Emitted when a RealTimeModel has been deleted.

### Hierarchy

- ModelDeletedEvent

### Implements

- IModelEvent

## Index

### Properties

- local
- name
- reason
- src
- NAME

## Properties

### local

local: boolean

True if this change occurred locally (in the current session)

### name

name: string = ModelDeletedEvent.NAME

Implementation of IModelEvent.name

The name of the event that was fired. This is commonly used to filter when using the ConvergenceEventEmitter.events stream.

Note that the name is only guaranteed to be unique within the class / subsystem that is firing it. Names might be reused across classes and subsystems.

### Optionalreason

reason: string

In the event that the model was deleted remotely, a reason may be provided.

### src

src: RealTimeModel

Implementation of IModelEvent.src

The RealTimeModel that was deleted.

### StaticNAME

NAME: "deleted" = "deleted"